FilterBinaryNode (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphmatching.filter
Class FilterBinaryNode

    java.lang.Object
      org.neo4j.graphmatching.filter.FilterBinaryNode

All Implemented Interfaces:
  FilterExpression

Deprecated.

    @Deprecated
    public class FilterBinaryNode

extends Object
implements FilterExpression

Matches two `FilterExpression`s with AND or OR.

Constructor Summary
`FilterBinaryNode(FilterExpression expression1, boolean trueForAnd, FilterExpression expression2)` Deprecated. Constructs a new binary node which has two expressions, grouped together as one.

Method Summary
`FilterExpression` | `getLeftExpression()` Deprecated.
`FilterExpression` | `getRightExpression()` Deprecated.
`boolean` | `matches(FilterValueGetter valueGetter)` Deprecated. Matches a value from a `valueGetter` and returns whether or not there was a match.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterBinaryNode

    public FilterBinaryNode(FilterExpression expression1,
                            boolean trueForAnd,
                            FilterExpression expression2)

  Deprecated.
  Constructs a new binary node which has two expressions, grouped together as one.

  Parameters:
    `expression1` - the first expression.
    `trueForAnd` - `true` if AND, else OR.
    `expression2` - the second expression.

Method Detail

### matches

    public boolean matches(FilterValueGetter valueGetter)

  Deprecated.
  Description copied from interface: `FilterExpression`
  Matches a value from a `valueGetter` and returns whether or not there was a match.

  Specified by:
    `matches` in interface `FilterExpression`
  Parameters:
    `valueGetter` - the getter which fetches the value to match.
  Returns:
    whether or not the value from `valueGetter` matches the criterias found in this expression.

### getLeftExpression

    public FilterExpression getLeftExpression()

  Deprecated.
  Returns:
    the first expression of the two.

### getRightExpression

    public FilterExpression getRightExpression()

  Deprecated.
  Returns:
    the second expression of the two.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.